%define upstream_name    Clone
%define upstream_version 0.34

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Recursively copy Perl datatypes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/R/RD/RDF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
This module provides a clone() method which makes recursive
copies of nested hash, array, scalar and reference types, 
including tied variables and objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorarch}/Clone.pm
%{perl_vendorarch}/auto/Clone
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.340.0-2.mga3
+ Revision: 364530
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.340.0-1.mga3
+ Revision: 341954
- update to 0.34

* Wed May 30 2012 jquelin <jquelin> 0.310.0-7.mga3
+ Revision: 250325
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.310.0-6.mga2
+ Revision: 103667
- perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 0.310.0-5.mga1
+ Revision: 22663
- rebuild with perl 5.12

* Sun Jan 09 2011 jquelin <jquelin> 0.310.0-4.mga1
+ Revision: 2134
- imported package perl-Clone

